- API reference
- Tasks
Create a task
POSThttps://howdybell.com/api/v1/tasks
Creates a new task in the specified location. You can optionally assign it to a contact, set a due date, and assign a user.
Request body
- location_idintegerRequired
The location to work in. Must belong to your workspace.
- contact_idinteger
The ID of the contact to associate with the task.
- titlestringRequired
The title of the task.
- due_atstring
The due date and time of the task.
- assignee_user_idinteger
The ID of the user assigned to the task.
Responses
201
- idinteger
- contactobject, nullable
- idinteger
- namestring
- titlestring
- due_atstring, nullable
- overdueboolean
- completed_atstring, nullable
- assigneeobject, nullable
- idinteger
- namestring
- created_byobject, nullable
- idinteger
- namestring
- created_atstring, nullable
422 Validation error
- messagestring
Errors overview.
- errorsobject
A detailed description of each field that failed validation.
RequestcURL
curl -X POST "https://howdybell.com/api/v1/tasks" \
-H "Authorization: Bearer $HOWDYBELL_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"location_id": 1,
"contact_id": 1,
"title": "string",
"due_at": "string",
"assignee_user_id": 1
}'Response201
{
"id": 1,
"contact": {
"id": 1,
"name": "Ada Lovelace"
},
"title": "string",
"due_at": "string",
"overdue": true,
"completed_at": "string",
"assignee": {
"id": 1,
"name": "Ada Lovelace"
},
"created_by": {
"id": 1,
"name": "Ada Lovelace"
},
"created_at": "string"
}